edu.isi.pegasus.planner.provenance.pasoa.pps

## Class Empty

- java.lang.Object
- - edu.isi.pegasus.planner.provenance.pasoa.pps.Empty

All Implemented Interfaces:
  PPS

    public class Empty
    extends java.lang.Object
    implements PPS

The default empty implementation to be used.

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

### Fields inherited from interface edu.isi.pegasus.planner.provenance.pasoa.PPS

`NAMESPACE, PEGASUS, REFINEMENT_CLUSTER, REFINEMENT_REDUCE, REFINEMENT_REGISTER, REFINEMENT_SITE_SELECT, REFINEMENT_STAGE`

### Constructor Summary

Constructors
Constructor and Description
`Empty()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `beginWorkflowRefinementStep(Refiner refiner, java.lang.String refinementStepName, boolean firstStep)`
`void` `clusteringOf(java.lang.String clusteredJob, java.util.List jobs)` clusteringOf
`void` `endWorkflowRefinementStep(Refiner refiner)` endWorkflowRefinementStep
`void` `isIdenticalTo(java.lang.String afterNode, java.lang.String beforeNode)` isIdenticalTo
`void` `isPartitionOf(java.lang.String afterNode, java.util.List beforeNode)` isPartitionOf
`void` `registrationIntroducedFor(java.lang.String registrationNode, java.lang.String dataStagingNode)` registrationIntroducedFor
`void` `siteSelectionFor(java.lang.String afterNode, java.lang.String beforeNode)` siteSelectionFor
`void` `stagingIntroducedFor(java.util.List stagingNodes, java.lang.String appNode)` stagingIntroducedFor

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Empty

    public Empty()

### Method Detail

#### beginWorkflowRefinementStep

    public java.lang.String beginWorkflowRefinementStep(Refiner refiner,
                                                        java.lang.String refinementStepName,
                                                        boolean firstStep)
                                                 throws java.lang.Exception

Specified by:
  `beginWorkflowRefinementStep` in interface `PPS`
Parameters:
  `refiner` - workflow Refiner
  `refinementStepName` - String
  `firstStep` - boolean
Returns:
  The ID used for the whole refinement process of this workflow
Throws:
  `java.lang.Exception`

#### clusteringOf

    public void clusteringOf(java.lang.String clusteredJob,
                             java.util.List jobs)
                      throws java.lang.Exception

clusteringOf

Specified by:
  `clusteringOf` in interface `PPS`
Parameters:
  `clusteredJob` - String
  `jobs` - List
Throws:
  `java.lang.Exception`

#### endWorkflowRefinementStep

    public void endWorkflowRefinementStep(Refiner refiner)
                                   throws java.lang.Exception

endWorkflowRefinementStep

Specified by:
  `endWorkflowRefinementStep` in interface `PPS`
Parameters:
  `refiner` - workflow Refiner
Throws:
  `java.lang.Exception`

#### isIdenticalTo

    public void isIdenticalTo(java.lang.String afterNode,
                              java.lang.String beforeNode)
                       throws java.lang.Exception

isIdenticalTo

Specified by:
  `isIdenticalTo` in interface `PPS`
Parameters:
  `afterNode` - String
  `beforeNode` - String
Throws:
  `java.lang.Exception`

#### isPartitionOf

    public void isPartitionOf(java.lang.String afterNode,
                              java.util.List beforeNode)
                       throws java.lang.Exception

isPartitionOf

Specified by:
  `isPartitionOf` in interface `PPS`
Parameters:
  `afterNode` - String
  `beforeNode` - List
Throws:
  `java.lang.Exception`

#### registrationIntroducedFor

    public void registrationIntroducedFor(java.lang.String registrationNode,
                                          java.lang.String dataStagingNode)
                                   throws java.lang.Exception

registrationIntroducedFor

Specified by:
  `registrationIntroducedFor` in interface `PPS`
Parameters:
  `registrationNode` - String
  `dataStagingNode` - String
Throws:
  `java.lang.Exception`

#### siteSelectionFor

    public void siteSelectionFor(java.lang.String afterNode,
                                 java.lang.String beforeNode)
                          throws java.lang.Exception

siteSelectionFor

Specified by:
  `siteSelectionFor` in interface `PPS`
Parameters:
  `afterNode` - String
  `beforeNode` - String
Throws:
  `java.lang.Exception`

#### stagingIntroducedFor

    public void stagingIntroducedFor(java.util.List stagingNodes,
                                     java.lang.String appNode)
                              throws java.lang.Exception

stagingIntroducedFor

Specified by:
  `stagingIntroducedFor` in interface `PPS`
Parameters:
  `stagingNodes` - List
  `appNode` - String
Throws:
  `java.lang.Exception`